SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.0.9-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-6.0.9-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "dba42a777c86bdefb1cbe1d7ad2c00d9"
SRC_URI[sha256sum] = "ebbfd59179ea9c4a30be4042c125e5d4838ee589c31d461afb75a742a98b08d4"
COMPATIBLE_MACHINE = "lynx(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
