SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.0.11-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-6.0.11-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "394abb1849a57146054c6d2fad47f3fd"
SRC_URI[sha256sum] = "50ee2168721c6070b7e9b50c15fb367bb931dc9b9a6d0bd5dac7d03d8fd8e702"
COMPATIBLE_MACHINE = "tiger(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
