THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

# We'd like to use c-ares for the target but not for native packages
EXTRA_OECONF += "${CURLARES} --enable-ipv6"

# Override the oe-core version until upstream catches up
PV="7.36.0"

# Once 7.37.0 is available, update to that and remove file://pre-release-7.37-for-proxy-headers.patch
# We need the new functionality for separate proxy headers, but it hasn't been released yet.

SRC_URI[md5sum] = "e6d1f9d1b59da5062109ffe14e0569a4"
SRC_URI[sha256sum] = "1fbe82b89bcd6b7ccda8cb0ff076edc60e911595030e27689f4abd5ef7f3cfcd"


SRC_URI += "file://valgrind-fix-uninit-var-with-gnutls.patch \
			file://upload-eagain-at-start.patch \
			file://pre-release-7.37-for-proxy-headers.patch"

CURLARES = "--enable-ares"
CURLARES_virtclass-native = ""

DEPENDS += "c-ares"

PR .= "bs6"
