require qt5.inc

SRC_URI += " \
    file://0001-qmltestexample-fix-link.patch \
"

# There are no LGPLv3-only licensed files in this component.

DEPENDS += "qtbase"

PACKAGECONFIG ??= "qtxmlpatterns"
PACKAGECONFIG[qtxmlpatterns] = ",,qtxmlpatterns"

do_configure_prepend() {
    # disable qtxmlpatterns test if it isn't enabled by PACKAGECONFIG
    sed -e 's/^\(qtHaveModule(xmlpatterns)\)/OE_QTXMLPATTERNS_ENABLED:\1/' -i ${S}/src/imports/imports.pro
    sed -e 's/^\(!qtHaveModule(xmlpatterns)\)/!OE_QTXMLPATTERNS_ENABLED|\1/' -i ${S}/tests/auto/quick/quick.pro
}

EXTRA_QMAKEVARS_PRE += "${@base_contains('PACKAGECONFIG', 'qtxmlpatterns', 'CONFIG+=OE_QTXMLPATTERNS_ENABLED', '', d)}"

PACKAGES =. "${PN}-quick ${PN}-quickparticles ${PN}-qml ${PN}-quicktest ${PN}-quickwidgets"
FILES_${PN}-quick = "${libdir}/libQt5Quick${SOLIBS}"
FILES_${PN}-quickparticles = "${libdir}/libQt5QuickParticles${SOLIBS}"
FILES_${PN}-quickwidgets = "${libdir}/libQt5QuickWidgets${SOLIBS}"
FILES_${PN}-quicktest = "${libdir}/libQt5QuickTest${SOLIBS}"
FILES_${PN}-qml = "${libdir}/libQt5Qml${SOLIBS}"
