PV = "5.4+20150713T092156+9f8044e-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtbase-5.4+20150713T092156+9f8044e-bs.tar.gz"
SRC_URI[md5sum] = "a870d2aae7cf4edd2f87f624d528244f"
SRC_URI[sha256sum] = "aa5db1f611613462fce95003a1576ea84a39cf2e6d54f3dfe1bb593ede15a70a"
require recipes-qt/qt5/qtbase.inc

inherit nfsquick

DEPENDS += "virtual/libgl harfbuzz"

PACKAGECONFIG_DEFAULT = "dbus widgets tools libs"

# Don't build against directfb
PACKAGECONFIG_FB = ""

EXTRA_OECONF += "-no-qml-debug -system-harfbuzz"

LICENSE = "LGPL-3.0"
LIC_FILES_CHKSUM = "file://LICENSE.LGPLv21;md5=d87ae0d200af76dca730d911474cbe5b \
                    file://LICENSE.LGPLv3;md5=ffcfac38a32c9ebdb8ff768fa1702478 \
                    file://LGPL_EXCEPTION.txt;md5=0145c4d1b6f96a661c2c139dfb268fb6 \
                    file://LICENSE.FDL;md5=6d9f2a9af4c8b8c3c769f6cc1b6aaf7e"


OE_QMAKE_PATH_PREFIX="/"

PACKAGES =. "${PN}-core ${PN}-xml ${PN}-gui ${PN}-network ${PN}-dbus ${PN}-sql ${PN}-opengl ${PN}-widgets ${PN}-test ${PN}-printsupport "
FILES_${PN}-core = "${libdir}/libQt5Core${SOLIBS}"
FILES_${PN}-xml = "${libdir}/libQt5Xml${SOLIBS}"
FILES_${PN}-gui = "${libdir}/libQt5Gui${SOLIBS}"
FILES_${PN}-network = "${libdir}/libQt5Network${SOLIBS}"
FILES_${PN}-dbus = "${libdir}/libQt5DBus${SOLIBS}"
FILES_${PN}-sql = "${libdir}/libQt5Sql${SOLIBS}"
FILES_${PN}-opengl = "${libdir}/libQt5OpenGL${SOLIBS}"
FILES_${PN}-widgets = "${libdir}/libQt5Widgets${SOLIBS}"
FILES_${PN}-test = "${libdir}/libQt5Test${SOLIBS}"
FILES_${PN}-printsupport = "${libdir}/libQt5PrintSupport${SOLIBS}"

PACKAGES =. "${PN}-plugin-eglbs ${PN}-plugins-unwanted "
FILES_${PN}-plugin-eglbs = "${OE_QMAKE_PATH_PLUGINS}/platforms/libqeglbs.so"
FILES_${PN}-plugins-unwanted = "${OE_QMAKE_PATH_PLUGINS}/platforms/*.so"

EXTRA_OECONF = "-no-eglfs -eglbs"

