THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

PR .= ".bs6"

# The SD driver for the SoC used on Panther and Puma has cache
# "issues" which mean that it is not safe to use mmap with files on
# the SD card. Freetype uses mmap for fonts by default so we need to
# stop it doing so. We use a TUNE_PKGARCH override for this rather
# than a MACHINE override so we don't have to set
# PACKAGE_ARCH="${MACHINE_ARCH}" which would result in an
# unnecessarily large number of variants being built. It just so
# happens that no other MACHINEs we care about use the same TUNE_PKG.

MACHINEOVERRIDES .= ":${TUNE_PKGARCH}"
SRC_URI_append_mips32el-nf = " file://no-sd-mmap.patch"
