SUMMARY = "Qt5 simple browser"
LICENSE = "CC-BY-3.0"
LIC_FILES_CHKSUM = "file://main.cpp;md5=34d13bf8564cc73a4a2e566c6deacd5c"
SRC_URI[md5sum] = "a15d71a69309ef7f19f9cf925f636f28"
SRC_URI[sha256sum] = "618bddd50ccb84a19d0314c636ab0f3ffe0b0204cac055c85e29ede42aef6f32"

DEPENDS = "qtwebengine"

RDEPENDS_${PN} = "qtbase-plugins qtbase-fonts"

# Depends on gles2 enabled and that's not default configuration
EXCLUDE_FROM_WORLD = "1"

SRC_URI = "http://caner-desktop/sw/bsbrowser-1.0.tar.gz"
SRC_URI[md5sum] = "a15d71a69309ef7f19f9cf925f636f28"
SRC_URI[sha256sum] = "618bddd50ccb84a19d0314c636ab0f3ffe0b0204cac055c85e29ede42aef6f32"

inherit qmake5

do_install() {
    install -d ${D}${datadir}/${P}
    install -m 0755 ${B}/bsbrowser1 ${D}${datadir}/${P}  
}

FILES_${PN}-dbg += "${datadir}/${P}/.debug"
FILES_${PN} += "${datadir}"

